Debian Bug report logs - #448721
Security bug: Code Injection through badly formatted URL

version graph

Package: yarssr; Maintainer for yarssr is Joachim Breitner <nomeata@debian.org>; Source for yarssr is src:yarssr.

Reported by: Joachim Breitner <nomeata@debian.org>

Date: Wed, 31 Oct 2007 11:24:02 UTC

Severity: grave

Tags: security

Found in version yarssr/0.2.2-1

Fixed in version yarssr/0.2.2-3

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Duncan Gilmore <dgilmore_uk@yahoo.co.uk>, Debian Security Team <team@security.debian.org>:
Bug#448721; Package yarssr. Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
New Bug report received and forwarded. Copy sent to Duncan Gilmore <dgilmore_uk@yahoo.co.uk>, Debian Security Team <team@security.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Security bug: Code Injection through badly formatted URL
Date: Wed, 31 Oct 2007 12:22:59 +0100
Package: yarssr
Version: 0.2.2-1
Severity: grave
Tags: security

Hi,

Duncan Gilmore reported this issue to me:

Am Freitag, den 26.10.2007, 03:19 +0100 schrieb Duncan Gilmore:
> Hi Joachim,
> 
> Thanks for maintaining the yarssr package for Debian...
> 
> I noticed a client-side code execution vulnerability in the yarssr
> GUI.pm module when gnome default url handling is not selected (and
> this is off by default in Ubuntu, assume so in Debian too).
> 
> From the file GUI.pm:
> if (Yarssr::Config->get_usegnome) {
>     Gnome2::URL->show($url);
> }
> else {
>     if ($child = fork)
>     {
>         Glib::Idle->add(
>             sub {
>                 my $kid = waitpid($child,WNOHANG);
>                 $kid > 0 ? return 0 : return 1;
>             }
>         );
>     }
>     else {
>         my $b = Yarssr::Config->get_browser;
>         $b .= " \"$url\"" unless $b =~ s/\%s/"$url"/;
>         exec($b) or warn "unable to launch browser\n";
>         exit;
>     }
> }
> 
> Shell character injection is possible because of incorrect use of exec
> and/or no filtering on the urls provided in feeds.
> If a user clicks on an article link like the one in the example feed
> below, commands can be passed silently to the shell.
> 
> ================feed.rss===================
> <?xml version="1.0" encoding="ISO-8859-1"?>
> <rss version="2.0"
> xmlns:blogChannel="http://backend.userland.com/blogChannelModule">
> <channel>
> <title>test feed</title>
> <item>
> <title>test post - create /tmp/created_file</title>
> <link>http://google.com";perl -e "print 'could run anything here' " >
> "/tmp/created_file</link>
> <pubDate>Fri, 26 Oct 2007 14:10:25 +0300</pubDate>
> </item>
> </channel>
> </rss>
> ================feed.rss===================
> 
> I tried contacting the author through his sourceforge account about 3
> weeks ago but had no answer. Any chance you can get hold of him or get
> a fix in?
> 
> Thanks and regards,
> 
> D Gilmore

I will shortly upload something that hopefully fixes this.

Greetings,
Joachim

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21.otto
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages yarssr depends on:
ii  libgnome2-perl                1.040-1    Perl interface to the GNOME librar
ii  libgnome2-vfs-perl            1.080-1    Perl interface to the 2.x series o
ii  libgtk2-gladexml-perl         1.006-1    Perl interface to use user interfa
ii  libgtk2-perl                  1:1.161-1  Perl interface to the 2.x series o
ii  libgtk2-trayicon-perl         0.04-1     Perl interface to fill the system 
ii  libxml-rss-perl               1.05-1     Perl module for managing RSS (RDF 
ii  perl                          5.8.8-11.1 Larry Wall's Practical Extraction 

yarssr recommends no packages.

-- no debconf information




Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 448721-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 448721-close@bugs.debian.org
Subject: Bug#448721: fixed in yarssr 0.2.2-3
Date: Fri, 02 Nov 2007 09:32:04 +0000
Source: yarssr
Source-Version: 0.2.2-3

We believe that the bug you reported is fixed in the latest version of
yarssr, which is due to be installed in the Debian FTP archive:

yarssr_0.2.2-3.diff.gz
  to pool/main/y/yarssr/yarssr_0.2.2-3.diff.gz
yarssr_0.2.2-3.dsc
  to pool/main/y/yarssr/yarssr_0.2.2-3.dsc
yarssr_0.2.2-3_all.deb
  to pool/main/y/yarssr/yarssr_0.2.2-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 448721@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated yarssr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 31 Oct 2007 12:23:31 +0100
Source: yarssr
Binary: yarssr
Architecture: source all
Version: 0.2.2-3
Distribution: unstable
Urgency: high
Maintainer: Joachim Breitner <nomeata@debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 yarssr     - RSS reader for the notification area
Closes: 448721
Changes: 
 yarssr (0.2.2-3) unstable; urgency=high
 .
   * Fixes code injection through malicous URLs (closes: 448721)
Files: 
 b479614022d38032af1f8f5be01dc185 568 net optional yarssr_0.2.2-3.dsc
 c5160fee6c83957547f1a083e362176e 6508 net optional yarssr_0.2.2-3.diff.gz
 94981dba118dfa3444dc2524d1559b44 23892 net optional yarssr_0.2.2-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHKusu9ijrk0dDIGwRAlDjAKCciABbKB33P3+BhvvTJdmnJKqnIACdFIKL
jsQdOCEfrDSS6bbRqO4Elf0=
=A37D
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:08:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:12:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.